public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Göktürk Yüksek" <gokturk@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/prelude-manager/
Date: Tue, 24 Dec 2019 21:55:10 +0000 (UTC)	[thread overview]
Message-ID: <1577224468.a9716403b5892b43bb51346b78a9bdfd589d72b4.gokturk@gentoo> (raw)

commit:     a9716403b5892b43bb51346b78a9bdfd589d72b4
Author:     Thomas Andrejak <thomas.andrejak <AT> gmail <DOT> com>
AuthorDate: Thu Nov  7 01:38:06 2019 +0000
Commit:     Göktürk Yüksek <gokturk <AT> gentoo <DOT> org>
CommitDate: Tue Dec 24 21:54:28 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9716403

app-admin/prelude-manager: Bump version 5.1

Signed-off-by: Göktürk Yüksek <gokturk <AT> gentoo.org>

 app-admin/prelude-manager/Manifest                 |  1 +
 .../prelude-manager/prelude-manager-5.1.0.ebuild   | 66 ++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/app-admin/prelude-manager/Manifest b/app-admin/prelude-manager/Manifest
index de3391361b3..56758819b65 100644
--- a/app-admin/prelude-manager/Manifest
+++ b/app-admin/prelude-manager/Manifest
@@ -2,3 +2,4 @@ DIST prelude-manager-3.0.0.tar.gz 1286459 BLAKE2B 0909b0d7501909de51cd580b6ce22a
 DIST prelude-manager-3.1.0.tar.gz 1301799 BLAKE2B 938937d2752ad47630b36c3a546f2493a964fde01e3df694e4a9fbddfa1efc3ddc9d864f8c1169e8ae8f3b414c4cd1983bbbd015f192ee065e2531489a23ba8b SHA512 75df43f9db81d2b6bd87c649eda7bb30ee10510576473bea83cb5cce44f576e9d69d775b5d76dcea8841eee61730a97cdae51e6c8b3a426d2442c5183d0e0d10
 DIST prelude-manager-4.0.0.tar.gz 1353116 BLAKE2B 20aaa28797a67fd310807735bb08f0c21c3bd95950598a86c45144ee2474785aef0c7d569732c817509ae8ae52ffce5f43f3c071931f2960578681f91a8c9504 SHA512 793ed37c71eb4884cbbb49b11c7388ee291a35252255458ceadb4ce10d1392e8bad423f95e31bff4550a9cf1d04139e43729352554fd847048b6c8d14f813a8a
 DIST prelude-manager-4.1.1.tar.gz 1415847 BLAKE2B 7cea7209a680a38cf597a9678f3ac9a31b00187e4597e1aeed91bbe57a55981279e8399ee8c90a044e40873e595ca648736fa79090420d9bcd72b82588f7bb5e SHA512 4e9d09b56eb7ec55144caa06a04e458bf0462d8c0064a34aac5aa0fb96a30fbefe5a4956185b606ec58fc410e4cbcac8721e521b3396303b3bff88808042a966
+DIST prelude-manager-5.1.0.tar.gz 1510054 BLAKE2B 88ef666a76c58af1a8164c033b7e9c1ea869a18a66cb489d8c7fdbf1fa331006e7844aea4386ea3185902afd108af5eb1b46ee17686032de460d8c5b336fd658 SHA512 1f0e993f9bf684ec65a741db3cdaf537dc47bc2f77652a37c194db422dd5da2aa33b78d3ee454c78b28b44c022eacc7246ee99187b0b8779c12f3a67320d89a3

diff --git a/app-admin/prelude-manager/prelude-manager-5.1.0.ebuild b/app-admin/prelude-manager/prelude-manager-5.1.0.ebuild
new file mode 100644
index 00000000000..771d3079f4b
--- /dev/null
+++ b/app-admin/prelude-manager/prelude-manager-5.1.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd
+
+DESCRIPTION="Bus communication for all Prelude modules"
+HOMEPAGE="https://www.prelude-siem.org"
+SRC_URI="https://www.prelude-siem.org/pkg/src/5.1.0/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="dbx geoip tcpwrapper xml"
+
+RDEPEND="net-libs/gnutls:=
+	>=dev-libs/libprelude-5.1.0
+	<dev-libs/libprelude-6
+	dbx? (
+		>=dev-libs/libpreludedb-5.1.0
+		<dev-libs/libpreludedb-6
+	)
+	geoip? ( dev-libs/libmaxminddb )
+	tcpwrapper? ( sys-apps/tcp-wrappers )
+	xml? ( dev-libs/libxml2 )"
+
+DEPEND="${RDEPEND}"
+
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.1.0-run.patch"
+)
+
+src_prepare() {
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=(
+		--localstatedir="${EPREFIX}/var"
+		$(use_with dbx libpreludedb-prefix)
+		$(use_enable geoip libmaxminddb)
+		$(use_with tcpwrapper libwrap)
+		$(usex xml '' '--without-xml-prefix')
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+
+	rm -rv "${ED}/run" || die "rm failed"
+	keepdir /var/spool/prelude-manager{,/failover,/scheduler}
+
+	find "${D}" -name '*.la' -delete || die
+
+	systemd_dounit "${FILESDIR}/${PN}.service"
+	systemd_newtmpfilesd "${FILESDIR}/${PN}.run" "${PN}.conf"
+
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+}


             reply	other threads:[~2019-12-24 21:55 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-24 21:55 Göktürk Yüksek [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-07-27  9:54 [gentoo-commits] repo/gentoo:master commit in: app-admin/prelude-manager/ David Seifert
2020-10-12 12:39 Joonas Niilola
2018-07-18  7:32 Tony Vroon
2017-09-08  8:19 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1577224468.a9716403b5892b43bb51346b78a9bdfd589d72b4.gokturk@gentoo \
    --to=gokturk@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox